---
title: Create Entity
slug: poc-onboarding/create-entity
createdAt: 2025-06-23T05:38:42.429Z
---

{
  "id": "AB5MMEJQ8M3mUPFk-dPOo",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev-api.monoova.com/kyb/v1/CreateEntity",
    "servers": [
      {
        "url": "https://dev-api.monoova.com/kyb/v1/CreateEntity"
      }
    ],
    "name": "Create Entity",
    "description": "<p>This endpoint should only be used for creating entities where verification is not required, e.g. payroll applications.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "Request payload",
          "customType": "Create_Entity",
          "schema": [
            {
              "name": "companyName",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "CONNECT BOOKKEEPING"
            },
            {
              "name": "registrationNumber",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "11061989110"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "AUS"
            },
            {
              "name": "sourceKey",
              "kind": "optional",
              "type": "string",
              "example": "",
              "default": "InternalUniqueIdentifier"
            },
            {
              "name": "externalUserId",
              "kind": "optional",
              "type": "array",
              "example": "",
              "default": [
                "externalIdentifier1",
                "externalIdentifier2"
              ],
              "itemType": "object",
              "customType": "object[]",
              "itemExample": "",
              "itemDefault": ""
            }
          ],
          "modelRef": "#/components/schemas/Create_Entity",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearer",
          "name": "bearer",
          "kind": "optional",
          "type": "http",
          "in": "header",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev-api.monoova.com/kyb/v1/CreateEntity \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"companyName\": \"CONNECT BOOKKEEPING\",\n     \"registrationNumber\": \"11061989110\",\n     \"country\": \"AUS\",\n     \"sourceKey\": \"InternalUniqueIdentifier\",\n     \"externalUserId\": [\n     \"externalIdentifier1\",\n     \"externalIdentifier2\"\n     ]\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"companyName\": \"CONNECT BOOKKEEPING\",\n   \"registrationNumber\": \"11061989110\",\n   \"country\": \"AUS\",\n   \"sourceKey\": \"InternalUniqueIdentifier\",\n   \"externalUserId\": [\n      \"externalIdentifier1\",\n      \"externalIdentifier2\"\n   ]\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev-api.monoova.com/kyb/v1/CreateEntity\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev-api.monoova.com/kyb/v1/CreateEntity\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"companyName\": \"CONNECT BOOKKEEPING\",\n   \"registrationNumber\": \"11061989110\",\n   \"country\": \"AUS\",\n   \"sourceKey\": \"InternalUniqueIdentifier\",\n   \"externalUserId\": [\n      \"externalIdentifier1\",\n      \"externalIdentifier2\"\n   ]\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev-api.monoova.com/kyb/v1/CreateEntity\"\n\npayload = json.dumps({\n   \"companyName\": \"CONNECT BOOKKEEPING\",\n   \"registrationNumber\": \"11061989110\",\n   \"country\": \"AUS\",\n   \"sourceKey\": \"InternalUniqueIdentifier\",\n   \"externalUserId\": [\n      \"externalIdentifier1\",\n      \"externalIdentifier2\"\n   ]\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": ""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "8wddflo_SjzQHUgs9aadn",
      "type": "paragraph",
      "children": [
        {
          "text": "This endpoint should only be used for creating entities where verification is not required, e.g. payroll applications."
        }
      ]
    }
  ]
}